Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Interface IPdfNamedObjectWrapper

All Superinterfaces:
  IPdfObjectWrapper

All Known Implementing Classes:
  Destination, FileSpecification, FullFileSpecification, JavaScript, LocalDestination, MediaRendition, RemoteDestination, Rendition, SelectorRendition, SimpleFileSpecification

    public interface IPdfNamedObjectWrapper

extends IPdfObjectWrapper

High-level representation of a PDF object that can be referenced also through a name.

Some categories of objects in a PDF file can be also referred to by name rather than by object reference. The correspondence between names and objects is established by the document's name dictionary [PDF:1.6:3.6.3].

The name's purpose is to provide a further level of referential abstraction especially for references across diverse PDF documents.

Since:
  0.1.2
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`PdfString` | `getName()` Gets the object name.
`PdfDirectObject` | `getNamedBaseObject()` Gets the object name, if available; otherwise, behaves like `getBaseObject()`.

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Method Detail

### getName

    PdfString getName()

  Gets the object name.

  As names are tipically loosely-coupled with their corresponding PDF objects, name retrieval implies a costly reverse lookup into the document's name tree.

### getNamedBaseObject

    PdfDirectObject getNamedBaseObject()

  Gets the object name, if available; otherwise, behaves like `getBaseObject()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.